2019-10-16 14:15 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001152FSSCPuser interfacepublic2008-03-31 00:02
ReporterARSPR 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformP4 2.8 HT - 1.5GB - 7800GSOSWindows XPOS VersionSP2
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001152: Overlaped lines in Messages window
DescriptionTake a look to the attached screenshot from "Into the Halls of Valhalla" Campaign "Old Friend, New Enemy" Mission (2-06bNewEnemy.fs2).

All the NEW DIRECTIVE messages are launched with a training-msg SEXP and they are coded with multilines as the following code shows (copied directly from the fs2 file):

$Name: Order 1

$Team: -1
$MessageNew: XSTR("NEW DIRECTIVE:
Monitor Aquarius wing.
Keep any of the ships targeted as long as possible.", -1)
$end_multi_text

(The conflictive messages are "Order 1", "Order 2" and "Order 3".)
Additional InformationI also attach the mission. But if you don't use ItHoV vps, FRED (and I suppose) FS2 complain about unknown ships/weapons...
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0007152

Goober5000 (administrator)

Yeah, this has been a problem since retail. Not sure what causes it.

~0007232

karajorma (administrator)

It's a FREDding error. Don't use carriage returns in messages and you'll never see it.

Of course fixing the code so that you can use the return key is a better way to fix the problem.

~0007233

Goober5000 (administrator)

Really. Interesting.

Yeah, it should really be fixed. CRLFs are used a lot in credits missions.

~0007234

karajorma (administrator)

It will sometimes cause corruption when used with a standard non-training message. If you send two messages close to each other and the first contains a carriage return then the second one will often overwrite the first. Remove the CRLF and the problem goes away.

~0007235

taylor (administrator)

Of course, you could just change FRED to save files using UNIX EOL instead of DOS EOL. That would fix it too. :)

You could add support for an extra EOL (\r), but that kinda sucks in my opinion, since you have to check for both that and the current EOL.

~0009091

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2006-11-20 15:35 ARSPR New Issue
2006-11-20 15:35 ARSPR File Added: WrongText.jpg
2006-11-20 15:36 ARSPR File Added: 2-06bNewEnemy.fs2
2006-11-23 14:06 Goober5000 Note Added: 0007152
2006-12-05 11:19 karajorma Note Added: 0007232
2006-12-05 11:55 Goober5000 Note Added: 0007233
2006-12-05 12:05 karajorma Note Added: 0007234
2006-12-05 13:22 taylor Note Added: 0007235
2008-03-30 23:57 taylor Status new => assigned
2008-03-30 23:57 taylor Assigned To => taylor
2008-03-31 00:02 taylor Status assigned => resolved
2008-03-31 00:02 taylor Fixed in Version => 3.6.10
2008-03-31 00:02 taylor Resolution open => fixed
2008-03-31 00:02 taylor Note Added: 0009091
+Issue History